Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::compliance::Preflight Class Reference
Inheritance diagram for foxit::addon::compliance::Preflight:

## Public Member Functions
| Preflight ()
| Constructor.
| Preflight (const Preflight &other)
| Constructor, with another preflight object. More...
| ~Preflight ()
| Destructor.
void | Analyze (const PreflightSettingData &preflight_setting_data, ProgressCallback *progress_callback=0)
| Analyze a PDF file. More...
void | AnalyzeAndFixup (const PreflightSettingData &preflight_setting_data, ProgressCallback *progress_callback=0)
| Analyze and fixup a PDF file. More...
bool | CanFixup (const String &item_key)
| Check whether the item key can be fixuped or not. More...
bool | GenerateReport (const PreflightReportSettingData &preflight_report_setting_data, ProgressCallback *progress_callback=0)
| Generate report after analyzing or fixing. More...
StringArray | GetGroupNamesArray (const PreflightSettingData::LibraryType &library_type, const PreflightSettingData::OperateType &operate_type)
| Get all group names array corresponding to the library type and operation type. More...
StringArray | GetItemKeysArray (const String &group_name)
| Get item keys array with the specific group name. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const Preflight &other) const
| Not equal operator. More...
Preflight & | operator= (const Preflight &other)
| Assign operator. More...
bool | operator== (const Preflight &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents the analysis and fix-up functions that match a specified industry profile and performs checks or fix-ups.

## Constructor & Destructor Documentation

## ◆ Preflight()

foxit::addon::compliance::Preflight::Preflight | ( | const Preflight & | other | ) |

Constructor, with another preflight object.

Parameters

  [in] | other | Another preflight object.

## Member Function Documentation

## ◆ Analyze()

void foxit::addon::compliance::Preflight::Analyze | ( | const PreflightSettingData & | preflight_setting_data,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Analyze a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ AnalyzeAndFixup()

void foxit::addon::compliance::Preflight::AnalyzeAndFixup | ( | const PreflightSettingData & | preflight_setting_data,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Analyze and fixup a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ CanFixup()

bool foxit::addon::compliance::Preflight::CanFixup | ( | const String & | item_key | ) |

Check whether the item key can be fixuped or not.

Parameters

  [in] | item_key | The item key. It can be retrieved by Preflight::GetItemKeysArray.

Returns
  true means can be fixuped, while false means can not be fixuped.

## ◆ GenerateReport()

bool foxit::addon::compliance::Preflight::GenerateReport | ( | const PreflightReportSettingData & | preflight_report_setting_data,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Generate report after analyzing or fixing.

Parameters

  [in] | preflight_report_setting_data | The preflight report setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  true means success, while false means failure.

## ◆ GetGroupNamesArray()

StringArray foxit::addon::compliance::Preflight::GetGroupNamesArray | ( | const PreflightSettingData::LibraryType & | library_type,
|  | const PreflightSettingData::OperateType & | operate_type
| ) |  |

Get all group names array corresponding to the library type and operation type.

Parameters

  [in] | library_type | The library type. Please refer to values starting from PreflightSettingData::e_LibraryTypeFoxit and this should be one of these values.
  [in] | operate_type | The operate type. Please refer to values starting from PreflightSettingData::e_OperateTypeProfiles and this should be one of these values.

Returns
  The group names array.

## ◆ GetItemKeysArray()

StringArray foxit::addon::compliance::Preflight::GetItemKeysArray | ( | const String & | group_name | ) |

Get item keys array with the specific group name.

Parameters

  [in] | group_name | The group name which can obtain from the function Preflight::GetGroupNamesArray.

Returns
  The item keys array.

## ◆ IsEmpty()

bool foxit::addon::compliance::Preflight::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::compliance::Preflight::operator!= | ( | const Preflight & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another preflight object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

Preflight& foxit::addon::compliance::Preflight::operator= | ( | const Preflight & | other | ) |

Assign operator.

Parameters

  [in] | other | Another preflight object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::Preflight::operator== | ( | const Preflight & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another preflight object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.